Bug 1262311 - valgrind test fails
valgrind test fails
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: valgrind (Show other bugs)
23
s390x Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mark Wielaard
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2015-09-11 07:53 EDT by Dan Horák
Modified: 2015-09-27 03:26 EDT (History)
9 users (show)

See Also:
Fixed In Version: valgrind-3.11.0-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-27 03:26:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 352284 None None None Never

  None (edit)
Description Dan Horák 2015-09-11 07:53:41 EDT
running the valgrind test in drpm fails with

...
make[3]: Entering directory '/home/sharkcz/drpm/drpm-0.2.0'
/usr/bin/ctest --output-on-failure
Test project /home/sharkcz/drpm/drpm-0.2.0
    Start 1: drpm_test
1/2 Test #1: drpm_test ........................   Passed    0.00 sec
    Start 2: drpm_test_valgrind
2/2 Test #2: drpm_test_valgrind ...............***Failed    0.84 sec
==1580== Memcheck, a memory error detector
==1580== Copyright (C) 2002-2013, and GNU GPL'd, by Julian Seward et al.
==1580== Using Valgrind-3.10.1 and LibVEX; rerun with -h for copyright info
==1580== Command: ./drpm_test drpm_test_file_1.drpm drpm_test_file_2.drpm drpm_test_file_3.rpm drpm_test_file_4 drpm_test_file_5
==1580== 
==1580== Conditional jump or move depends on uninitialised value(s)
==1580==    at 0x49C1C04: vfprintf@@GLIBC_2.4 (in /usr/lib64/libc-2.22.so)
==1580==    by 0x4A913FF: __vsnprintf_chk@@GLIBC_2.4 (in /usr/lib64/libc-2.22.so)
==1580==    by 0x4963473: vprint_message (in /usr/lib64/libcmocka.so.0.3.1)
==1580==    by 0x4963915: print_message (in /usr/lib64/libcmocka.so.0.3.1)
==1580==    by 0x4966D45: _cmocka_run_group_tests (in /usr/lib64/libcmocka.so.0.3.1)
==1580== 
[==========] Running 10 test(s).
[ RUN      ] test_drpm_read_err_mock
[       OK ] test_drpm_read_err_mock
[ RUN      ] test_drpm_read_err_input
[       OK ] test_drpm_read_err_input
[ RUN      ] test_drpm_read_ok
[       OK ] test_drpm_read_ok
[ RUN      ] test_drpm_get_uint
[       OK ] test_drpm_get_uint
[ RUN      ] test_drpm_get_ulong
[       OK ] test_drpm_get_ulong
[ RUN      ] test_drpm_get_ullong
[       OK ] test_drpm_get_ullong
[ RUN      ] test_drpm_get_string
[       OK ] test_drpm_get_string
[ RUN      ] test_drpm_get_ulong_array
[       OK ] test_drpm_get_ulong_array
[ RUN      ] test_drpm_destroy_err
[       OK ] test_drpm_destroy_err
[ RUN      ] test_drpm_destroy_ok
[       OK ] test_drpm_destroy_ok
[==========] 10 test(s) run.
==1580== Conditional jump or move depends on uninitialised value(s)
==1580==    at 0x49C1C04: vfprintf@@GLIBC_2.4 (in /usr/lib64/libc-2.22.so)
==1580==    by 0x4A913FF: __vsnprintf_chk@@GLIBC_2.4 (in /usr/lib64/libc-2.22.so)
==1580==    by 0x4963513: vprint_error (in /usr/lib64/libcmocka.so.0.3.1)
==1580==    by 0x4963975: print_error (in /usr/lib64/libcmocka.so.0.3.1)
==1580==    by 0x4966CDD: _cmocka_run_group_tests (in /usr/lib64/libcmocka.so.0.3.1)
==1580== 
[  PASSED  ] 10 test(s).
==1580== 
==1580== HEAP SUMMARY:
==1580==     in use at exit: 0 bytes in 0 blocks
==1580==   total heap usage: 412 allocs, 412 frees, 18,549,473 bytes allocated
==1580== 
==1580== All heap blocks were freed -- no leaks are possible
==1580== 
==1580== For counts of detected and suppressed errors, rerun with: -v
==1580== Use --track-origins=yes to see where uninitialised values come from
==1580== ERROR SUMMARY: 3 errors from 2 contexts (suppressed: 0 from 0)


50% tests passed, 1 tests failed out of 2

Total Test time (real) =   0.85 sec

The following tests FAILED:
	  2 - drpm_test_valgrind (Failed)
Errors while running CTest


for a corresponding s390 koji build, please see http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1948006

Something must have changed as the previous build (drpm-0.2.0-2.fc23) succeeded - http://s390.koji.fedoraproject.org/koji/buildinfo?buildID=345656 - and I suspect it's not drpm fault.


Version-Release number of selected component (if applicable):
drpm-0.2.0-3.fc23
valgrind-3.10.1-20.fc23.s390x
glibc-2.22-2.fc23.s390x
Comment 1 Dan Horák 2015-09-11 08:02:43 EDT
per Mark's words it is valgrind's fault, reassigning
Comment 2 Mark Wielaard 2015-09-11 08:13:50 EDT
This is upstream bug https://bugs.kde.org/show_bug.cgi?id=352284 should be fixed in valgrind-3.11.0-TEST1. Currently running tests.
Comment 3 Dan Horák 2015-09-11 08:23:12 EDT
with valgrind updated from http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1948229 the tests pass on s390x
Comment 4 Fedora Update System 2015-09-23 11:35:57 EDT
valgrind-3.11.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16525
Comment 5 Fedora Update System 2015-09-23 23:31:54 EDT
valgrind-3.11.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update valgrind'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16525
Comment 6 Fedora Update System 2015-09-27 03:26:39 EDT
valgrind-3.11.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.